%define major 1
%define libname %mklibname sepol %{major}
%define devname %mklibname sepol -d
%define sdevname %mklibname sepol -d -s

Summary:	SELinux binary policy manipulation library
Name:		libsepol
Version:	2.1.3
Release:	11
License:	LGPLv2.1+
Group:		System/Libraries
Url:		http://www.selinuxproject.org
Source0:	http://www.nsa.gov/selinux/archives/libsepol-%{version}.tgz
Patch0:		libsepol-rhat.patch

%description
Security-enhanced Linux is a feature of the Linux® kernel and a number
of utilities with enhanced security functionality designed to add
mandatory access controls to Linux.  The Security-enhanced Linux
kernel contains new architectural components originally developed to
improve the security of the Flask operating system. These
architectural components provide general support for the enforcement
of many kinds of mandatory access control policies, including those
based on the concepts of Type Enforcement®, Role-based Access
Control, and Multi-level Security.

libsepol provides an API for the manipulation of SELinux binary policies.
It is used by checkpolicy (the policy compiler) and similar tools, as well
as by programs like load_policy that need to perform specific transformations
on binary policies such as customizing policy boolean settings.

#----------------------------------------------------------------------------

%package -n %{libname}
Summary:	SELinux binary policy manipulation library
Group:		System/Libraries
Provides:	%{name} = %{EVRD}
Provides:	sepol = %{EVRD}

%description -n %{libname}
libsepol provides an API for the manipulation of SELinux binary policies.
It is used by checkpolicy (the policy compiler) and similar tools, as well
as by programs like load_policy that need to perform specific transformations
on binary policies such as customizing policy boolean settings.

%files -n %{libname}
/%{_lib}/libsepol.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{devname}
Summary:	Header files and libraries used to build policy manipulation tools
Group:		Development/C
Requires:	%{libname} = %{EVRD}
Provides:	sepol-devel = %{EVRD}

%description -n %{devname}
The libsepol-devel package contains the libraries and header files
needed for developing applications that manipulate binary policies.

%files -n %{devname}
%{_libdir}/libsepol.so
%{_libdir}/pkgconfig/libsepol.pc
%{_includedir}/sepol/*.h
%{_mandir}/man3/*.3*
%dir %{_includedir}/sepol
%dir %{_includedir}/sepol/policydb
%{_includedir}/sepol/policydb/*.h

#----------------------------------------------------------------------------

%package -n %{sdevname}
Summary:	Static libraries used to build policy manipulation tools
Group:		Development/C
Requires:	%{devname} = %{EVRD}
Provides:	sepol-static-devel = %{EVRD}

%description -n %{sdevname}
The libsepol-devel package contains the static libraries
needed for developing applications that manipulate binary policies.

%files -n %{sdevname}
%{_libdir}/libsepol.a

#----------------------------------------------------------------------------

%prep
%setup -q
%patch0 -p2

%build
%make clean
%make CFLAGS="%{optflags}"

%install
mkdir -p %{buildroot}/%{_lib}
mkdir -p %{buildroot}/%{_libdir}
mkdir -p %{buildroot}%{_includedir}
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_mandir}/man3
mkdir -p %{buildroot}%{_mandir}/man8

%makeinstall_std LIBDIR="%{buildroot}%{_libdir}" SHLIBDIR="%{buildroot}/%{_lib}"
rm -f %{buildroot}%{_bindir}/genpolbools
rm -f %{buildroot}%{_bindir}/genpolusers
rm -f %{buildroot}%{_bindir}/chkcon
rm -rf %{buildroot}%{_mandir}/man8


%changelog

* Sun Feb 22 2015 Alexander Lakhin <a.lahin@ntcit-rosa.ru> 2.1.3-11
- (9ef56b2) MassBuild#656: Increase release tag


